Bug 162191 - [PATCH] editor/emacs: VC doesn't work with subversion 1.7
Summary: [PATCH] editor/emacs: VC doesn't work with subversion 1.7
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ashish SHUKLA
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-10-31 10:40 UTC by Yasuhiro Kimura
Modified: 2012-02-22 13:50 UTC (History)
0 users

See Also:


Attachments
patch-emacs23 (8.82 KB, text/plain)
2011-10-31 10:40 UTC, Yasuhiro Kimura
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yasuhiro Kimura freebsd_committer 2011-10-31 10:40:02 UTC
	

	VC doesn't work with subversion 1.7.
Comment 1 Thomas Abthorpe freebsd_committer 2011-11-12 00:52:35 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ashish

Over to maintainer.
Comment 2 Ashish SHUKLA freebsd_committer 2011-11-12 20:35:55 UTC
Hi,

Thanks, I'll update it once freeze is over, as bumping revision of this port
will cause more than 60 ports to be bumped as well, something which is
discouraged during freeze.

Did you also submit this diff upstream ? Or if you've bug report, or mailing
list post.

Thanks
-- 
Ashish SHUKLA      | GPG: F682 CDCC 39DC 0FEA E116  20B6 C746 CFA9 E74F A4B0
freebsd.org!ashish | http://people.freebsd.org/~ashish/

Avoid Success At All Costs !!
Comment 3 Yasuhiro Kimura freebsd_committer 2011-11-13 22:55:22 UTC
From: ashish@FreeBSD.org (Ashish SHUKLA)
Subject: Re: ports/162191: [PATCH] editor/emacs: VC doesn't work with subversion 1.7
Date: Sun, 13 Nov 2011 02:05:55 +0530

> Did you also submit this diff upstream ? Or if you've bug report, or mailing
> list post.

I got latest version of vc-svn.el from trunk of upstream repository,
and used it to create patch in PR. So it is not necessary to submit it
to upstream.

Regards.
Comment 4 Ashish SHUKLA freebsd_committer 2011-11-13 23:58:39 UTC
Yasuhiro KIMURA writes:
> From: ashish@FreeBSD.org (Ashish SHUKLA)
> Subject: Re: ports/162191: [PATCH] editor/emacs: VC doesn't work with subversion 1.7
> Date: Sun, 13 Nov 2011 02:05:55 +0530

>> Did you also submit this diff upstream ? Or if you've bug report, or mailing
>> list post.

> I got latest version of vc-svn.el from trunk of upstream repository,
> and used it to create patch in PR. So it is not necessary to submit it
> to upstream.

Okay, thanks.

Ashish
Comment 5 Philip M. Gollucci freebsd_committer 2012-02-12 00:05:16 UTC
Responsible Changed
From-To: ashish->pgollucci

committer&maintainer timeout (ashish ; 90 days) / last commit: 16 days 
ago
Comment 6 Ashish SHUKLA freebsd_committer 2012-02-12 00:58:17 UTC
=2D----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Hi,

Emacs 23.4 is out which has this fix. I'm planning to submit PRs for
editors/emacs, editors/emacs-devel updates along with -exp run required for
bsd.emacs.mk changes today after some testing. Could you please hold commit=
ing
this PR ?

Thanks
=2D --=20
Ashish SHUKLA      | GPG: F682 CDCC 39DC 0FEA E116  20B6 C746 CFA9 E74F A4B0
freebsd.org!ashish | http://people.freebsd.org/~ashish/

Avoid Success At All Costs !!
=2D----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.18 (FreeBSD)

iQIcBAEBCgAGBQJPNw6tAAoJEMdGz6nnT6SwzoMP/jeG9s8X95OGddhKfoZ+TjlF
uHqjQLUcKihLuM5/qELW97LX+j6BRIuNzJ1anb1b76UWE5LlR++7AwILk/pVOu7B
Ie9q3d4nUfAXC9XmKa2KxQQicKIT9ox+EsVQ4IK015oGYrvyRIBL5I9x03b6Oo44
KGxAQYJTK7kQXYXnFBsvtyjT+a3I75a2S+D/R3OZBCkC5DQ+i0QydAji5YB9CRfL
MNjFlsO66nrYcSE0YFI0iYzWFK5aFwJbPLdj9RlPPJ51a3Pon69odnVfEUcGSdib
Z1WKFGh9MsdC9zVT6ZMs5t1QtIBHcHKPnFoxTCDdA7jcOLGj9hHxrDXMwqrCLxpg
LT+8QLWhrgkt4k7Sez/PxDztILCBuWTE3/B/X3LHXID0LJLME/wiuXPwR8d/NCn0
Kcwog+sdkAn3iOpt66boDxwlDXnPdogD4nWycvCq6kO7ddNXJc5mZy9YaWqTsZHh
ntMU8vzBnyXZzOxvAC5gwIFd1GTOKWn7hO7k8X8YAEqE4hMQiAdSjMmV1cYXkakL
76tuBEGbOW/sn7fJBwGvVYL7YpxDlO31tJndb9AyR8l+izJc+1Q5VG/cs9tUDm+1
+NvkPjVc9QzciMTv1wKsCxLNdYpQG13VaWex91XMmfqTiVUQ+nyPXurJWt9djyK6
iLpUWJ1PaF15S26cDp2w
=3DMdhM
=2D----END PGP SIGNATURE-----
Comment 7 Philip M. Gollucci freebsd_committer 2012-02-12 01:05:44 UTC
Responsible Changed
From-To: pgollucci->ashish

Over to maintainer
Comment 8 dfilter service freebsd_committer 2012-02-22 13:19:17 UTC
ashish      2012-02-22 13:19:03 UTC

  FreeBSD ports repository

  Modified files:
    editors/emacs        Makefile distinfo 
  Added files:
    editors/emacs/files  patch-lisp-vc-svn.el 
  Log:
  - Update to version 23.4
  - Remove dependency on libungif[1]
  - Import a diff from bzr repository to make VC work with Subversion 1.7[2]
  
  PR:             ports/165298[1], ports/162191[2]
  Submitted by:   olgeni[1], Yasuhiro KIMURA <yasu@utahime.org>[2]
  
  Revision  Changes    Path
  1.111     +1 -7      ports/editors/emacs/Makefile
  1.23      +2 -2      ports/editors/emacs/distinfo
  1.1       +184 -0    ports/editors/emacs/files/patch-lisp-vc-svn.el (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 9 Ashish SHUKLA freebsd_committer 2012-02-22 13:50:40 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!